AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.6

Class List
Here are the classes, structs, unions and interfaces with brief descriptions:
[detail level 1 2 3]

▼N AMPS |
C AMPSException | Base class for all exceptions in AMPS
C Reason | Class to hold string versions of failure reasons
C ExceptionListener | Exception listener for unhandled exceptions
C Command | Command is an encapsulation of a single AMPS command sent by the client
C Authenticator | The interface for handling authentication with the AMPS server
C DefaultAuthenticator | A default implementation of Authenticator that only uses an unchanged password and does not implement retry
C StoreReplayer | Abstract base class for replaying a publish message
C StoreImpl | Abstract base class for storing published messages for an HA publisher client
C Store | Handle class for StoreImpl classes that track publish messages
C FailedWriteHandler | Class to handle when a client receives a duplicate publish message, or not entitled message
C FailedResubscribeHandler | Abstract base class where you can implement handling of exceptions that occur when a SubscriptionManager implementation is attempting to restart subscriptions following a connection failure
C SubscriptionManager | Abstract base class to manage all subscriptions placed on a client so that they can be re-established if the client is disconnected and then reconnected
C ConnectionStateListener | Abstract base class for connection state listeners
▼C MessageStream | An iterable object representing the results of an AMPS subscription and/or query
C iterator | Represents an iterator over messages in an AMPS topic
C Client | Client represents a connection to an AMPS server, but does not provide failover or reconnection behavior by default
C_FIXBuilder | Provides a convenient way of building messages in FIX format, typically referenced using the typedefs AMPS::FIXBuilder or AMPS::NVFIXBuilder
C FIXShredder | Class for parsing a FIX format message into a `std::map` of keys and values, where the keys and values are represented by AMPS::Field objects
C BlockPublishStore | Used as a base class for other stores in the AMPS C++ client, this is an implementation of StoreImpl that breaks a provided Buffer into uniform blocks for storing messages and tracks used and unused blocks
▼C BlockStore | Used as a base class for other stores in the AMPS C++ client, this is an implementation that breaks a provided Buffer into uniform blocks for storing messages and tracks used and unused blocks
C Block | Used as metadata for each block in a Buffer
C BookmarkStoreImpl | Abstract base class for storing received bookmarks for HA clients
C BookmarkStore | Interface for BookmarkStoreImpl classes
C Buffer | Abstract base class for implementing a buffer to be used by a StoreImpl for storage of publish messages for possible replay to AMPS
C CompositeMessageBuilder | Used to create payloads for AMPS composite messages, which are messages with a number of parts where each part is a complete message of a specific message type
C CompositeMessageParser | Used to retrieve individual message parts from AMPS composite messages, which are messages where the data contains a number of parts and each part is a complete message of a specific message type
C DefaultServerChooser | A server chooser that rotates through multiple URIs, in order
C Field | Field represents the value of a single field in a Message
C HAClient | A highly-available Client that automatically reconnects and re-subscribes to AMPS instances upon disconnect
C HybridPublishStore | An implementation of StoreImpl for publication
C LoggedBookmarkStore | A BookmarkStoreImpl implementation that logs all messages to a file
C MemoryBookmarkStore | A BookmarkStoreImpl implementation that stores bookmarks in memory
C MemoryPublishStore | A StoreImpl implementation that uses MemoryStoreBuffer as its buffer to hold published messages in memory
C MemoryStoreBuffer | A Buffer implementation that uses memory for storage
C MemorySubscriptionManager | A SubscriptionManager implementation that maintains subscriptions placed in memory so that they can be placed again after a reconnect
C MessageImpl | Implementation class for a Message
▼C Message | Message encapsulates a single message sent to or received from an AMPS server, and provides methods for every header that can be present, whether or not that header will be populated or used in a particular context
C AckType | Valid values for the setAckTypeEnum() and getAckTypeEnum() methods
C Command | Valid values for setCommandEnum() and getCommandEnum()
C Options | Class for constructing the options string to pass to AMPS in a Message
C Handler | Wrapper for callback functions in AMPS
C MessageRouter | This class multiplexes messages from AMPS to multiple subscribers and uses the stream of acks from AMPS to remove routes as appropriate
C MMapBookmarkStore | A BookmarkStoreImpl implementation that uses a memory mapped file for storage of the bookmarks
C MMapStoreBuffer | A Buffer implementation that uses a memory mapped file as its storage
C PublishStore | A StoreImpl implementation that uses a memory-mapped file to provide a publish store that persists across application restarts
C ReconnectDelayStrategy | ReconnectDelayStrategy is called by AMPS::HAClient to determine how long to wait between attempts to connect or reconnect to a server
C ReconnectDelayStrategyImpl | Base class for ReconnectDelayStrategy implementations
C ExponentialDelayStrategy | ExponentialDelayStrategy is an implementation that exponentially "backs off" when reconnecting to the same server, with a maximum number of retries before it gives up entirely
C FixedDelayStrategy | FixedDelayStrategy is an implementation that delays for a fixed time period, as specified in the constructor, when reconnecting to the same server as we were previously connected to, or if we are invoked again for the first server we ever tried
C RecoveryPointImpl | RecoveryPointImpl virtual base class provides access to the subId and bookmark needed to restart a subscription
C RecoveryPoint | Provides access to the subId and bookmark needed to restart a subscription
C FixedRecoveryPoint | FixedRecoveryPoint is a RecoveryPoint implementation where subId and bookmark are set explicitly
C DynamicRecoveryPoint | DynamicRecoveryPoint is a RecoveryPoint implementation where subId is set explicitly but bookmark is retrieved from the BookmarkStore as its most recent at the time of access
C RecoveryPointAdapterImpl | RecoveryPointAdapterImpl virtual base class for implementing external storage of subscription recovery points and recovery from storage
C RecoveryPointAdapter | RecoveryPointAdapter a handle class for implementing external storage of subscription recovery points and recovery from storage
C ConflatingRecoveryPointAdapter | RecoveryPointAdapter implementation that delegates storage to another RecoveryPointAdapter but provides conflation so that only every X updates are saved and/or only the last update every Y milliseconds is saved
C RingBookmarkStore | A BookmarkStoreImpl that stores only the MOST_RECENT bookmark to a file for recovery and keeps any bookmarks later than most recent in memory
C ServerChooser | Abstract base class for choosing amongst multiple URIs for both the initial connection and reconnection
C ServerChooserImpl | Abstract base class for choosing amongst multiple URIs for both the initial connection and reconnection
C SOWRecoveryPointAdapter | RecoveryPointAdapter virtual base class for implementing external storage of subscription recovery points and recovery from storage